Bug 91400 - xinetd doesn't restart killed tftp server
xinetd doesn't restart killed tftp server
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: xinetd (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-22 07:27 EDT by Götz Waschk
Modified: 2014-08-31 19:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 10:47:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Götz Waschk 2003-05-22 07:27:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.4b) Gecko/20030508

Description of problem:
Since the security update to 2.3.11-1.7x, my tftp server process doesn't restart
after it was killed. I have to restart xinetd instead.

Version-Release number of selected component (if applicable):
xinetd-2.3.11-1.7x

How reproducible:
Always

Steps to Reproduce:
1. tftp localhost
2. get somefile
3. quit
4. killall in.tftpd
5. tftp localhost
6. get somefile
    

Actual Results:  I get a connection timeout message, there's no in.tftpd running.

Expected Results:  It should restart in.tftpd and the result of step 2 and 6
should be the same.

Additional info:

This was working fine with xinetd-2.3.7-4.7x, the previous version I had installed.
Comment 1 Götz Waschk 2003-06-05 10:47:10 EDT
OK, I've found the problem: there was a wait=no entry in /etc/xinetd.d/tftp.
This didn't cause problems until the update to 2.3.11. I don't know where this
came from, as the default correct setting is wait=yes.

Note You need to log in before you can comment on or make changes to this bug.